# Function ngMessagesDirective

- ngMessagesDirective(
  $animate: any,
  ): {
  controller: ($element: any, $scope: any, $attrs: any) => NgMessageCtrl;
  require: string;
  restrict: string;
  }

  #### Parameters

  - $animate: any

  #### Returns {
  controller: ($element: any, $scope: any, $attrs: any) => NgMessageCtrl;
  require: string;
  restrict: string;
  }

  - Defined in src/directive/messages/messages.js:195

##### Index

### Properties

$inject

## Properties

### $inject

$inject: string[]

- Defined in src/directive/messages/messages.js:194